Loading...
Searching...
No Matches
gtsam::ScenarioRunner Class Reference
Inheritance diagram for gtsam::ScenarioRunner:

## Public Member Functions

| ScenarioRunner (const Scenario &scenario, const SharedParams &p, double imuSampleTime=1.0/100.0, const Bias &bias=Bias())
const Vector3 & | gravity_n () const
const Scenario & | scenario () const
Vector3 | actualAngularVelocity (double t) const
Vector3 | actualSpecificForce (double t) const
Vector3 | measuredAngularVelocity (double t) const
Vector3 | measuredSpecificForce (double t) const
const double & | imuSampleTime () const
PreintegratedImuMeasurements | integrate (double T, const Bias &estimatedBias=Bias(), bool corrupted=false) const
| Integrate measurements for T seconds into a PIM.
NavState | predict (const PreintegratedImuMeasurements &pim, const Bias &estimatedBias=Bias()) const
| Predict predict given a PIM.
Matrix9 | estimateCovariance (double T, size_t N=1000, const Bias &estimatedBias=Bias()) const
| Compute a Monte Carlo estimate of the predict covariance using N samples.
Matrix6 | estimateNoiseCovariance (size_t N=1000) const
| Estimate covariance of sampled noise for sanity-check.

## Public Types

typedef imuBias::ConstantBias | Bias
typedef boost::shared_ptr< PreintegrationParams > | SharedParams

The documentation for this class was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/navigation/ScenarioRunner.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/navigation/ScenarioRunner.cpp